Issues with the upgrade for my prestashop 1.7.2 to 1.7.6

Keywords: PrestaShop - Google Cloud Platform - Technical issue - Upgrade
bnsupport ID: 811ea2ed-cc13-ddd8-c9a7-779fa58ccb6d
Description:
I have some issues with my updagrade prestashop store
this is my 811ea2ed-cc13-ddd8-c9a7-779fa58ccb6d
Thanks for the help

Server info
Información del servidor Linux #1 SMP Debian 3.16.43-2+deb8u5 (2017-09-19) x86_64
Versión del software del servidor: Apache
Versión de PHP: 5.6.29
Límite de memoria: 128M
Tiempo máx. de ejecución: 300
Tamaño máx. para la carga de archivos: 100M

Versión de PrestaShop: 1.7.6.5

Versión de MySQL: 5.6.35

thanks for the help

Hello @eplazaexpress,

Could you confirm you are following these exact steps?
https://docs.bitnami.com/google/apps/prestashop/administration/upgrade/

In which step did you start facing issues?

I can see your instance has little memory and storage available, but something is available:

-----------------------------------
Display amount of free and used memory in the system
-----------------------------------
Running: free -m
In: /opt/bitnami

Output:

             total       used       free     shared    buffers     cached
Mem:          5731       5347        384        210        276       3196
-/+ buffers/cache:       1874       3857
Swap:            0          0          0
-----------------------------------
Check free amount of disk space
-----------------------------------
Running: df -h
In: /opt/bitnami

Output:

Filesystem      Size  Used Avail Use% Mounted on
/dev/sda1       9.8G  8.6G  708M  93% /
udev             10M     0   10M   0% /dev
tmpfs           1.2G   66M  1.1G   6% /run
tmpfs           2.8G     0  2.8G   0% /dev/shm
tmpfs           5.0M     0  5.0M   0% /run/lock
tmpfs           2.8G     0  2.8G   0% /sys/fs/cgroup
tmpfs           574M     0  574M   0% /run/user/1002

From your Apache error_log I can see:

[Mon May 25 00:37:21.480179 2020] [proxy_fcgi:error] [pid 2377:tid 139899399255808] [client 17.58.100.138:25878] AH01071: Got error 'PHP message: PHP Fatal error:  Call to undefined method PrestaShop\\PrestaShop\\Adapter\\Presenter\\Product\\ProductListingLazyArray::hasAttributes() in /opt/bitnami/apps/prestashop/htdocs/modules/ps_legalcompliance/ps_legalcompliance.php on line 883\n'

It seems to be an issue with one of the modules. Maybe this guide can help:
https://devdocs.prestashop.com/1.7/basics/keeping-up-to-date/upgrade/#modules-upgrade

Regards

the issues coming at the end of the upgrade process

now i try to restore (rollback) the upgrade, not i have more problems

this is my new report with the bitnami tool
fd454a39-0ef2-db9a-8625-a858e97d85fb

Please help

Hello @eplazaexpress,

So, is it working correctly now? If not, did you check the link about modules upgrade to resolve modules incompatibilities?

Regards

noup, i lose all
why the upgrate miss all?

i try to rollback but isn’t work

I detected some issues upgrading it, so the team will check it.

Apart from that, I see your are using a really old version for MySQL and PHP. My suggestion is to migrate your installation to a newer machine:
https://devdocs.prestashop.com/1.7/basics/keeping-up-to-date/migration/#light-via-the-administration-panel

Regards

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.